Improved
Vulnerability Management: Immediate Plugin Update Setting
about 1 year ago by Levi Beverly
Tenable has added the immediate_plugin_update parameter to the Tenable Vulnerability Management agent profile API calls.
- When set to
true, agents update to a newly assigned plugin set on their next check-in, within 2000 seconds, instead of waiting for the daily plugin update check. This applies only whenpluginsetspecifies a 12-digit plugin set and the profile changes from one plugin set to a different one. It has no effect whenpluginsetislatestor a delay value. - When set to
falseor omitted, agents update their plugin sets according to their regular check-in cycle, which occurs at least every 24 hours. - Requires Tenable Agent 11.0.1 or later.
This update affects the following endpoints:
| Endpoint | Name | Change |
|---|---|---|
| POST /sensors/profiles/{sensor_type} | Create profile | Added the immediate_plugin_update request parameter. |
| GET /sensors/profiles/{sensor_type} | List profiles | Added the immediate_plugin_update response property. |
| GET /sensors/profiles/{sensor_type}/{profile_uuid} | Get profile details | Added the immediate_plugin_update response property. |
| PUT /sensors/profiles/{sensor_type}/{profile_uuid} | Update profile | Added the immediate_plugin_update request parameter. |
